GNU Radio's HPSDR Package: gr::hpsdr::hermesNB_impl Class Reference

GNU Radio's HPSDR Package

gr::hpsdr::hermesNB_impl Class Reference

`#include <hermesNB_impl.h>`

Inheritance diagram for gr::hpsdr::hermesNB_impl:
[legend]

## Public Member Functions
| hermesNB_impl (int RxFreq0, int RxFreq1, int RxFreq2, int RxFreq3, int RxFreq4, int RxFreq5, int RxFreq6, int RxFreq7, int TxFreq, int RxPre, int PTTModeSel, int PTTTxMute, int PTTRxMute, unsigned char TxDr, int RxSmp, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexLPF, int Verbose, int NumRx, const char *MACAddr)
| Construct a HermesNB module.
| ~hermesNB_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
Public Member Functions inherited from gr::hpsdr::hermesNB
void | set_Receive0Frequency (float)
void | set_Receive1Frequency (float)
void | set_Receive2Frequency (float)
void | set_Receive3Frequency (float)
void | set_Receive4Frequency (float)
void | set_Receive5Frequency (float)
void | set_Receive6Frequency (float)
void | set_Receive7Frequency (float)
void | set_TransmitFrequency (float)
void | set_RxSampRate (int)
void | set_RxPreamp (int)
void | set_PTTMode (int)
void | set_PTTOffMutesTx (int)
void | set_PTTOnMutesRx (int)
void | set_TxDrive (int)
void | set_ClockSource (const char *)
void | set_AlexRxAntenna (int)
void | set_AlexTxAntenna (int)
void | set_AlexRxHPF (int)
void | set_AlexTxLPF (int)
void | set_Verbose (int)
bool | stop ()
bool | start ()

## Additional Inherited Members
Public Types inherited from gr::hpsdr::hermesNB
typedef boost::shared_ptr< hermesNB > | sptr
Static Public Member Functions inherited from gr::hpsdr::hermesNB
static sptr | make (int RxFreq0, int RxFreq1, int RxFreq2, int RxFreq3, int RxFreq4, int RxFreq5, int RxFreq6, int RxFreq7, int TxFreq, int RxPre, int PTTModeSel, int PTTTxMute, int PTTRxMute, unsigned char TxDr, int RxSmp, const char *Intfc, const char *ClkS, int AlexRA, int AlexTA, int AlexHPF, int AlexLPF, int Verbose, int NumRx, const char *MACAddr)
| Return a shared_ptr to a new instance of hpsdr::hermesNB.

## Constructor & Destructor Documentation

## ◆ hermesNB_impl()

gr::hpsdr::hermesNB_impl::hermesNB_impl | ( | int | RxFreq0,
|  | int | RxFreq1,
|  | int | RxFreq2,
|  | int | RxFreq3,
|  | int | RxFreq4,
|  | int | RxFreq5,
|  | int | RxFreq6,
|  | int | RxFreq7,
|  | int | TxFreq,
|  | int | RxPre,
|  | int | PTTModeSel,
|  | int | PTTTxMute,
|  | int | PTTRxMute,
|  | unsigned char | TxDr,
|  | int | RxSmp,
|  | const char * | Intfc,
|  | const char * | ClkS,
|  | int | AlexRA,
|  | int | AlexTA,
|  | int | AlexHPF,
|  | int | AlexLPF,
|  | int | Verbose,
|  | int | NumRx,
|  | const char * | MACAddr )

Construct a HermesNB module.

Parameters

  RxFreq0 | Receiver 0 frequency, Hz.
  RxFreq1 | Receiver 1 frequency, Hz.
  TxFreq | Transmitter frequency, Hz.
  RxPre | Rx Preamp on (1) / off (0)
  PTTModeSel | PTT mode selector off (0), VOX (1), on (2)
  PTTTxMute | Mute Tx on PTT
  PTTRxMute | Mute Rx on PTT
  TxDr | Transmit Drive Level (0..255)
  RxSmp | Receive Sample Rate, 192000, 96000, or 48000
  Intfc | Ethernet interface to use
  ClkS | HPSDR Clock Source (register C1 when C0 = 0x00)
  AlexRA | HPSDR Alex Rx Ant Selector
  AlexTA | HPSDR Alex Tx Ant Selector
  AlexMan | HPSDR Alex Manual Filter Enable
  AlexHPF | HPSDR Alex Rx High Pass Filter Selector
  AlexLPF | HPSDR Alex Tx Low Pass Filter Selector
  Verbose | Turns Verbose mode on (=1) or off (=0)
  NumRx | Number of Receivers (1 or 2)
  MACAddr | MAC Address of target or * for first detected

## ◆ ~hermesNB_impl()

gr::hpsdr::hermesNB_impl::~hermesNB_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::hpsdr::hermesNB_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int gr::hpsdr::hermesNB_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- hermesNB_impl.h